Search results

Icons Library

30 Mar 2023 / 5 minutes to read

Syncfusion’s icon library is a collection of pre-designed icons that can be used to enhance the user interface of an application. This pre-designed icons are set of base64 formatted font icons. Utilizing this icon library can make it simpler to create a cohesive, visually pleasing design for an application.

Referring icons in the JavaScript (ES5) application

Using the below approaches, the icons can be referenced in the JavaScript (ES5) application.

The npm package

All Syncfusion theme icons are shipped in the ej2-icons package, which is published on the npmjs.com public registry. This package contains both CSS and SCSS theme files for all themes.

Icons can be used from the npm package ej2-icons. To use the icons, install the npm package using the following command:

Copied to clipboard
 npm install @syncfusion/ej2-icons

Refer to the following syntax to use icons in a JavaScript (ES5) application

Copied to clipboard
@import "../node_modules/@syncfusion/ej2-icons/<theme_name>.css";

Example:

Copied to clipboard
@import "../node_modules/@syncfusion/ej2-icons/material.css";

CDN reference

All Syncfusion theme icons are available on the CDN. Instead of using a local resource on the server, use a cloud CDN to refer to the icons.

Make sure that the version of the icons in the URL matches the version of the Syncfusion JavaScript (ES5) package. This will prevent compatibility issues and ensure that the correct version of the icons is loaded.

To use the icons from the CDN, refer to the icons by URLs in the application. This can be done by linking the icons in the HTML file by adding a link tag to the head section.

Copied to clipboard
// Bootstrap5
<head>
<link href="https://cdn.syncfusion.com/ej2/21.1.35/ej2-icons/styles/bootstrap5.css" rel="stylesheet"/>
</head>
//Material
<head>
<link href="https://cdn.syncfusion.com/ej2/21.1.35/ej2-icons/styles/material.css" rel="stylesheet"/>
</head>

Steps to use icons library

Let’s create a JavaScript (ES5) application using the following command:

For an introduction and configuration of the common specifications, see getting started with the Syncfusion JavaScript (ES5) application.

Using icons directly in HTML element

The built-in Syncfusion icons can be rendered directly in the HTML element by defining the e-icons class, which contains the font-family and common properties of font icons, and defining the available icon’s class with the e- prefix.

The following steps explain the direct rendering of the Syncfusion icon in the HTML element.

  1. Add the class name e-icons to the HTML element that needs to render the icon.
  2. Add the icon class with corresponding icon content from the available icons. For example, the below code snippet represents the paste icon class.
Copied to clipboard
.e-paste:before{
    content:'\e355';
}
  1. Add e-icons and e-paste classes to the HTML element.
Copied to clipboard
<span class="e-icons e-paste"></span>
  1. Add the CDN link reference of icons library in the ~index.html file.
Copied to clipboard
<link href="https://cdn.syncfusion.com/ej2/21.1.35/ej2-icons/styles/bootstrap5.css" rel="stylesheet" />

The below code snippet represents a complete example of icon usage.

Source
Preview
index.html
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>EJ2 Draggable</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/21.1.35/ej2-base/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.1.35/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="icon-bar">
            <span class="e-icons e-cut"></span>
            <span class="e-icons e-copy"></span>
            <span class="e-icons e-paste"></span>
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Icon size

The ej2-icons package offers options to display icons in different size modes. A user can use different icon sizes in their application based on touch or mouse mode. If the user is using touch mode, add e-large class to the element to make the icon easily interactable, or add the e-small or e-medium class in mouse mode.

The pre-defined icon size is present in the available classes listed below.

  • e-small - Sets the icon size as 8px.
  • e-medium - Sets the icon size to 16px.
  • e-large - Sets the icon size to 24px.

    Example:

Copied to clipboard
<span class="e-icons e-small e-search"></span>
<span class="e-icons e-medium e-search"></span>
<span class="e-icons e-large e-search"></span>
Source
Preview
index.html
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>EJ2 Draggable</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/21.1.35/ej2-base/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.1.35/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div>
            <p><b>Smaller Icons</b></p>
            <div class="small-icon-bar">
            <span class="e-icons e-small e-cut"></span>
            <span class="e-icons e-small e-copy"></span>
            <span class="e-icons e-small e-paste"></span>
        </div>
        <p><b>Medium Icons</b></p>
        <div class="medium-icon-bar">
            <span class="e-icons e-medium e-cut"></span>
            <span class="e-icons e-medium e-copy"></span>
            <span class="e-icons e-medium e-paste"></span>
        </div>
        <p><b>Larger Icons</b></p>
        <div class="large-icon-bar">
            <span class="e-icons e-large e-cut"></span>
            <span class="e-icons e-large e-copy"></span>
            <span class="e-icons e-large e-paste"></span>
        </div>
    </div>


</div><script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Icon appearance customization

The Syncfusion JavaScript (ES5) icons can be customized with custom color and size by overriding the e-icons class. Customizing the icons in the library can be useful for making the icons more visually appealing and fitting to the design of the application. For example, a user can change the color of an icon to match the color scheme of their application, or increase the size of an icon to make it more visible on smaller screens. It may also be useful for creating a consistent look and feel across different parts of the application. Overall, customizing the icons in the library can improve the overall user experience of the application.

In the example below, the icon colour is customized with custom color.

Source
Preview
index.html
Copied to clipboard
<!DOCTYPE html><html lang="en"><head>
            
    <title>EJ2 Draggable</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/21.1.35/ej2-base/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/21.1.35/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="icon-bar">
            <span class="e-icons e-cut"></span>
            <span class="e-icons e-copy"></span>
            <span class="e-icons e-paste"></span>
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
    ele.style.visibility = "visible";
 }   
        </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Available icons

The complete pack of Syncfusion JavaScript (Essential JS 2) icons are listed in the below table. The corresponding icon content can be referred in the content section.

Material

Fabric

Bootstrap

Bootstrap 4

High Contrast

Fluent

Icons in Angular Appearance component

27 Dec 202310 minutes to read

Syncfusion’s icon library is a collection of pre-designed icons that can be used to enhance the user interface of an application. This pre-designed icons are set of base64 formatted font icons. Utilizing this icon library can make it simpler to create a cohesive, visually pleasing design for an application.

Referring icons in Angular application

Using the below approaches, the icons can be referenced in the Angular application.

The npm package

All Syncfusion theme icons are shipped in the ej2-icons package, which is published on the npmjs.com public registry. This package contains both CSS and SCSS theme files for all themes.

Icons can be used from the npm package ej2-icons. To use the icons, install the npm package using the following command:

 npm install @syncfusion/ej2-icons

Refer to the following syntax to use icons in a Angular application:

@import "../node_modules/@syncfusion/ej2-icons/<theme_name>.css";

Example:

@import "../node_modules/@syncfusion/ej2-icons/material.css";

CDN reference

All Syncfusion theme icons are available on the CDN. Instead of using a local resource on the server, use a cloud CDN to refer to the icons.

Make sure that the version of the icons in the URL matches the version of the Syncfusion Angular package. This will prevent compatibility issues and ensure that the correct version of the icons is loaded.

To use the icons from the CDN, refer to the icons by URLs in the application. This can be done by linking the icons in the HTML file by adding a link tag to the head section.

// Bootstrap5
<head>
    <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/bootstrap5.css" rel="stylesheet"/>
</head>
//Material
<head>
    <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/material.css" rel="stylesheet"/>
</head>

Steps to use icons library

Let’s create a Angular application using the following command:

For an introduction and configuration of the common specifications, see getting started with the Syncfusion Angular application.

Using icons directly in HTML element

The built-in Syncfusion icons can be rendered directly in the HTML element by defining the e-icons class, which contains the font-family and common properties of font icons, and defining the available icon’s class with the e- prefix.

The following steps explain the direct rendering of the Syncfusion icon in the HTML element.

  1. Add the class name e-icons to the HTML element that needs to render the icon.

  2. Add the icon class with corresponding icon content from the available icons. For example, the below code snippet represents the paste icon class.

     .e-paste:before{
         content:'\e355';
     }
  3. Add e-icons and e-paste classes to the HTML element.

     <span class="e-icons e-paste"></span>
  4. Add the CDN link reference of icons library in the ~index.html file.

     <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/bootstrap5.css" rel="stylesheet" />

    The below code snippet represents the complete example of icon usage.

import { Component, ViewChild } from '@angular/core';

@Component({
  selector: 'app-root',
  template: `
    <div class="icon-bar">
      <span class="e-icons e-cut"></span>
      <span class="e-icons e-copy"></span>
      <span class="e-icons e-paste"></span>
    </div>
  `
})

export class AppComponent {
  
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<button class="preview-sample-button" id="PreviewSampleButton-rt6ex3uf1tg4i559pupdhodrp5dzk5pg" onclick="LoadPreviewSample('https://helpej2.syncfusion.com/angular/documentation/samples/common/icons',this.id);">Preview Sample</button><button class="stackblitz-button" id="StackBlitzButton-rt6ex3uf1tg4i559pupdhodrp5dzk5pg" onclick="OpenSampleInStackBlitz('https://helpej2.syncfusion.com/angular/documentation/samples/common/icons');"><img class="stackblitz-icon" src="https://cdn.syncfusion.com/documentation/images/StackBlitz-icon.png"/><span class="stackblitz-text">Open in Stackblitz</span></button>

Icon size

The ej2-icons package offers options to display icons in different size modes. A user can use different icon sizes in their application based on touch or mouse mode. If the user is using touch mode, add e-large class to the element to make the icon easily interact, or add the e-small or e-medium class in mouse mode.

The pre-defined icon size is present in the available classes listed below.

  • e-small - Sets the icon size as 8px.
  • e-medium - Sets the icon size to 16px.
  • e-large - Sets the icon size to 24px.

    Example:

      <span class="e-icons e-small e-search"></span>
      <span class="e-icons e-medium e-search"></span>
      <span class="e-icons e-large e-search"></span>
import { Component, ViewChild } from '@angular/core';
import { Animation } from '@syncfusion/ej2-base';

@Component({
  selector: 'app-root',
  template: `
    <div>
      <p><b>Smaller Icons</b></p>
      <div class="small-icon-bar">
        <span class="e-icons e-small e-cut"></span>
        <span class="e-icons e-small e-copy"></span>
        <span class="e-icons e-small e-paste"></span>
      </div>
      <p><b>Medium Icons</b></p>
      <div class="medium-icon-bar">
        <span class="e-icons e-medium e-cut"></span>
        <span class="e-icons e-medium e-copy"></span>
        <span class="e-icons e-medium e-paste"></span>
      </div>
      <p><b>Larger Icons</b></p>
      <div class="large-icon-bar">
        <span class="e-icons e-large e-cut"></span>
        <span class="e-icons e-large e-copy"></span>
        <span class="e-icons e-large e-paste"></span>
      </div>
    </div>
  `
})

export class AppComponent {

}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<button class="preview-sample-button" id="PreviewSampleButton-l22b0wmwdmk3f28kwiq3pnxhc807zgto" onclick="LoadPreviewSample('https://helpej2.syncfusion.com/angular/documentation/samples/common/icons-size',this.id);">Preview Sample</button><button class="stackblitz-button" id="StackBlitzButton-l22b0wmwdmk3f28kwiq3pnxhc807zgto" onclick="OpenSampleInStackBlitz('https://helpej2.syncfusion.com/angular/documentation/samples/common/icons-size');"><img class="stackblitz-icon" src="https://cdn.syncfusion.com/documentation/images/StackBlitz-icon.png"/><span class="stackblitz-text">Open in Stackblitz</span></button>

Icon appearance customization

The Syncfusion Angular icons can be customized with custom color and size by overriding the e-icons class. Customizing the icons in the library can be useful for making the icons more visually appealing and fitting to the design of the application. For example, a user can change the color of an icon to match the color scheme of their application, or increase the size of an icon to make it more visible on smaller screens. It may also be useful for creating a consistent look and feel across different parts of the application. Overall, customizing the icons in the library can improve the overall user experience of the application.

import { Component, ViewChild } from '@angular/core';
import { Animation } from '@syncfusion/ej2-base';

@Component({
  selector: 'app-root',
  template: `
    <div class="icon-bar">
      <span class="e-icons e-cut"></span>
      <span class="e-icons e-copy"></span>
      <span class="e-icons e-paste"></span>
    </div>
  `
})

export class AppComponent {

}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<button class="preview-sample-button" id="PreviewSampleButton-trdpbkvjrk8woxnzh82q8lqxaqn7o1vy" onclick="LoadPreviewSample('https://helpej2.syncfusion.com/angular/documentation/samples/common/icons-customization',this.id);">Preview Sample</button><button class="stackblitz-button" id="StackBlitzButton-trdpbkvjrk8woxnzh82q8lqxaqn7o1vy" onclick="OpenSampleInStackBlitz('https://helpej2.syncfusion.com/angular/documentation/samples/common/icons-customization');"><img class="stackblitz-icon" src="https://cdn.syncfusion.com/documentation/images/StackBlitz-icon.png"/><span class="stackblitz-text">Open in Stackblitz</span></button>

Available Icons

The complete package of Essential JS 2 icons is listed below. The corresponding icon content can be referred in the content section.

Bootstrap 5

Bootstrap 4

Bootstrap

Material

Tailwind CSS

Office Fabric

High Contrast

Fluent

Icons in Vue Appearance component

27 Dec 202310 minutes to read

Syncfusion’s icon library is a collection of pre-designed icons that can be used to enhance the user interface of an application. This pre-designed icons are set of base64 formatted font icons. Utilizing this icon library can make it simpler to create a cohesive, visually pleasing design for an application.

Referring icons in the Vue application

Using the below approaches, the icons can be referenced in the Vue application.

The npm package

All Syncfusion theme icons are shipped in the ej2-icons package, which is published on the npmjs.com public registry. This package contains both CSS and SCSS theme files for all themes.

Icons can be used from the npm package ej2-icons. To use the icons, install the npm package using the following command:

 npm install @syncfusion/ej2-icons

Refer to the following syntax to use icons in a Vue application:

@import "../node_modules/@syncfusion/ej2-icons/<theme_name>.css";

Example:

@import "../node_modules/@syncfusion/ej2-icons/material.css";

CDN reference

All Syncfusion theme icons are available on the CDN. Instead of using a local resource on the server, use a cloud CDN to refer to the icons.

Make sure that the version of the icons in the URL matches the version of the Syncfusion Vue package. This will prevent compatibility issues and ensure that the correct version of the icons is loaded.

To use the icons from the CDN, refer to the icons by URLs in the application. This can be done by linking the icons in the HTML file by adding a link tag to the head section.

// Bootstrap5
<head>
    <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/bootstrap5.css" rel="stylesheet"/>
</head>
//Material
<head>
    <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/material.css" rel="stylesheet"/>
</head>

Steps to use icons library

Let’s create a Vue application using the following command:

For an introduction and configuration of the common specifications, see getting started with the Syncfusion Vue application.

Using icons directly in HTML element

The built-in Syncfusion icons can be rendered directly in the HTML element by defining the e-icons class, which contains the font-family and common properties of font icons, and defining the available icon’s class with the e- prefix.

The following steps explain the direct rendering of the Syncfusion icon in the HTML element.

  1. Add the class name e-icons to the HTML element that needs to render the icon.

  2. Add the icon class with corresponding icon content from the available icons. For example, the below code snippet represents the paste icon class.

     .e-paste:before {
         content:'\e355';
     }
    
  3. Add e-icons and e-paste classes to the HTML element.

     <span class="e-icons e-paste"></span>
    
  4. Add the CDN link reference of icons library in the ~index.html file.

     <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/bootstrap5.css" rel="stylesheet" />
    

    The below code snippet represents a complete example of icon usage.

<template>
    <div class="icon-bar">
        <span class="e-icons e-cut"></span>
        <span class="e-icons e-copy"></span>
        <span class="e-icons e-paste"></span>
    </div>
</template>
<script>
    import Vue from "vue";
    export default {

    }
</script>
<style>
  
.icon-bar {
    width: 20%;
    background-color: lightgrey;
    overflow: auto;
    margin-top: 20px;
    margin-left: 240px;
}

.icon-bar span {
    float: left;
    width: 33%;
    text-align: center;
    padding: 12px 0;
    transition: all 0.3s ease;
}

.icon-bar span:hover {
    background-color: #e2e2e2;
}
</style>

Icon size

The ej2-icons package offers options to display icons in different size modes. A user can use different icon sizes in their application based on touch or mouse mode. If the user is using touch mode, add e-large class to the element to make the icon easily interactable, or add the e-small or e-medium class in mouse mode.

The pre-defined icon size is present in the available classes listed below.

  • e-small - Sets the icon size as 8px.
  • e-medium - Sets the icon size to 16px.
  • e-large - Sets the icon size to 24px.

    Example:

      <span class="e-icons e-small e-search"></span>
      <span class="e-icons e-medium e-search"></span>
      <span class="e-icons e-large e-search"></span>
    
<template>
    <div>
        <p><b>Smaller Icons</b></p>
        <div class="small-icon-bar">
            <span class="e-icons e-small e-cut"></span>
            <span class="e-icons e-small e-copy"></span>
            <span class="e-icons e-small e-paste"></span>
        </div>
        <p><b>Medium Icons</b></p>
        <div class="medium-icon-bar">
            <span class="e-icons e-medium e-cut"></span>
            <span class="e-icons e-medium e-copy"></span>
            <span class="e-icons e-medium e-paste"></span>
        </div>
        <p><b>Larger Icons</b></p>
        <div class="large-icon-bar">
            <span class="e-icons e-large e-cut"></span>
            <span class="e-icons e-large e-copy"></span>
            <span class="e-icons e-large e-paste"></span>
        </div>
    </div>
</template>
<script>
    import Vue from "vue";
    export default {

    }
</script>
<style>
  
.small-icon-bar {
    width: 20%;
    background-color: lightgrey;
    overflow: auto;
}

.small-icon-bar span:hover {
    background-color: #e2e2e2;
}

.small-icon-bar span {
    float: left;
    width: 33%;
    text-align: center;
    padding: 12px 0;
    transition: all 0.3s ease;
    font-size: 36px;
}

.medium-icon-bar {
    width: 20%;
    background-color: lightgrey;
    overflow: auto;
}

.medium-icon-bar span:hover {
    background-color: #e2e2e2;
}

.medium-icon-bar span {
    float: left;
    width: 33%;
    text-align: center;
    padding: 12px 0;
    transition: all 0.3s ease;
    font-size: 36px;
}

.large-icon-bar {
    width: 20%;
    background-color: lightgrey;
    overflow: auto;
}

.large-icon-bar span:hover {
    background-color: #e2e2e2;
}

.large-icon-bar span {
    float: left;
    width: 33%;
    text-align: center;
    padding: 12px 0;
    transition: all 0.3s ease;
    font-size: 36px;
}
</style>

Icon appearance customization

The Syncfusion Vue icons can be customized with custom color and size by overriding the e-icons class. Customizing the icons in the library can be useful for making the icons more visually appealing and fitting to the design of the application. For example, a user can change the color of an icon to match the color scheme of their application, or increase the size of an icon to make it more visible on smaller screens. It may also be useful for creating a consistent look and feel across different parts of the application. Overall, customizing the icons in the library can improve the overall user experience of the application.

<template>
    <div class="icon-bar">
        <span class="e-icons e-cut"></span>
        <span class="e-icons e-copy"></span>
        <span class="e-icons e-paste"></span>
    </div>
</template>
<script>
    import Vue from "vue";
    export default {

    }
</script>
<style>
  
.e-icons {
    color: #ffffff;
}

.icon-bar {
    width: 20%;
    background-color: #555;
    overflow: auto;
    margin-top: 20px;
    margin-left: 240px;
}

.icon-bar span {
    float: left;
    width: 33%;
    text-align: center;
    padding: 12px 0;
    transition: all 0.3s ease;
}

.icon-bar span:hover {
    background-color: #000;
}
</style>

Available icons

The complete package of Essential JS 2 icons is listed below. The corresponding icon content can be referred in the content section.

Material

Fabric

Bootstrap

Bootstrap 4

Bootstrap 5

High Contrast

Tailwind CSS

Fluent

React Icons Library

26 Dec 202321 minutes to read

Syncfusion’s icon library is a collection of pre-designed icons that can be used to enhance the user interface of an application. This pre-designed icons are set of base64 formatted font icons. Utilizing this icon library can make it simpler to create a cohesive, visually pleasing design for an application.

Referring icons in the React application

Using the below approaches, the icons can be referenced in the React application.

The npm package

All Syncfusion theme icons are shipped in the ej2-icons package, which is published on the npmjs.com public registry. This package contains both CSS and SCSS theme files for all themes.

Icons can be used from the npm package ej2-icons. To use the icons, install the npm package using the following command:

 npm install @syncfusion/ej2-icons

Refer to the following syntax to use icons in a React application:

@import "../node_modules/@syncfusion/ej2-icons/styles/<theme_name>.css";

Example:

@import "../node_modules/@syncfusion/ej2-icons/styles/material.css";

CDN reference

All Syncfusion theme icons are available on the CDN. Instead of using a local resource on the server, use a cloud CDN to refer to the icons.

Make sure that the version of the icons in the URL matches the version of the Syncfusion React package. This will prevent compatibility issues and ensure that the correct version of the icons is loaded.

To use the icons from the CDN, refer to the icons by URLs in the application. This can be done by linking the icons in the HTML file by adding a link tag to the head section.

// Bootstrap5
<head>
    <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/bootstrap5.css" rel="stylesheet"/>
</head>
//Material
<head>
    <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/material.css" rel="stylesheet"/>
</head>

Steps to use icons library

Let’s create a React application using the following command:

npx create-react-app my-app
cd my-app
npm start

For an introduction and configuration of the common specifications, see getting started with the Syncfusion React application.

Using icons directly in HTML element

The built-in Syncfusion icons can be rendered directly in the HTML element by defining the e-icons class, which contains the font-family and common properties of font icons, and defining the available icon’s class with the e- prefix.

The following steps explain the direct rendering of the Syncfusion icon in the HTML element.

  1. Add the class name e-icons to the HTML element that needs to render the icon.

  2. Add the icon class with corresponding icon content from the available icons. For example, the below code snippet represents the paste icon class.

     .e-paste:before {
         content:'\e355';
     }
  3. Add e-icons and e-paste classes to the HTML element.

     <span class="e-icons e-paste"></span>
    
  4. Add the CDN link reference of icons library in the ~index.html file.

     <link href="https://cdn.syncfusion.com/ej2/ej2-icons/styles/bootstrap5.css" rel="stylesheet" />
    

    The below code snippet represents a complete example of icon usage.

import * as React from 'react';
import * as ReactDom from 'react-dom';
function App() {
    return (<div className="icon-bar">
               <span className="e-icons e-cut"></span>
               <span className="e-icons e-copy"></span>
               <span className="e-icons e-paste"></span>
            </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
    import * as ReactDom from 'react-dom';
    function App() {
        return (
            <div className="icon-bar">
               <span className="e-icons e-cut"></span>
               <span className="e-icons e-copy"></span>
               <span className="e-icons e-paste"></span>
            </div>
        );
    }
    export default App;
    ReactDom.render(<App />,document.getElementById('sample'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Button</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-react-grids/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
     <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
        <div id='sample'>
            <div id='loader'>Loading....</div>
        </div>
</body>

</html>

Icon size

The ej2-icons package offers options to display icons in different size modes. A user can use different icon sizes in their application based on touch or mouse mode. If the user is using touch mode, add e-large class to the element to make the icon easily interactable, or add the e-small or e-medium class in mouse mode.

The pre-defined icon size is present in the available classes listed below.

  • e-small - Sets the icon size as 8px.
  • e-medium - Sets the icon size to 16px.
  • e-large - Sets the icon size to 24px.

    Example:

      <span class="e-icons e-small e-search"></span>
      <span class="e-icons e-medium e-search"></span>
      <span class="e-icons e-large e-search"></span>
    
import * as React from 'react';
import * as ReactDom from 'react-dom';
function App() {
    return (<div>
                <p><b>Smaller Icons</b></p>
                <div className="small-icon-bar">
                    <span className="e-icons e-small e-cut"></span>
                    <span className="e-icons e-small e-copy"></span>
                    <span className="e-icons e-small e-paste"></span>
                </div>
                <p><b>Medium Icons</b></p>
                <div className="medium-icon-bar">
                    <span className="e-icons e-medium e-cut"></span>
                    <span className="e-icons e-medium e-copy"></span>
                    <span className="e-icons e-medium e-paste"></span>
                </div>
                <p><b>Larger Icons</b></p>
                <div className="large-icon-bar">
                    <span className="e-icons e-large e-cut"></span>
                    <span className="e-icons e-large e-copy"></span>
                    <span className="e-icons e-large e-paste"></span>
                </div>
            </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
    import * as ReactDom from 'react-dom';

    function App() {
        return (
            <div>
                <p><b>Smaller Icons</b></p>
                <div className="small-icon-bar">
                    <span className="e-icons e-small e-cut"></span>
                    <span className="e-icons e-small e-copy"></span>
                    <span className="e-icons e-small e-paste"></span>
                </div>
                <p><b>Medium Icons</b></p>
                <div className="medium-icon-bar">
                    <span className="e-icons e-medium e-cut"></span>
                    <span className="e-icons e-medium e-copy"></span>
                    <span className="e-icons e-medium e-paste"></span>
                </div>
                <p><b>Larger Icons</b></p>
                <div className="large-icon-bar">
                    <span className="e-icons e-large e-cut"></span>
                    <span className="e-icons e-large e-copy"></span>
                    <span className="e-icons e-large e-paste"></span>
                </div>
            </div>
        );
    }
    export default App;
    ReactDom.render(<App />,document.getElementById('sample'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Button</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-react-grids/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
     <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
        <div id='sample'>
            <div id='loader'>Loading....</div>
        </div>
</body>

</html>

Icon appearance customization

The Syncfusion React icons can be customized with custom color and size by overriding the e-icons class. Customizing the icons in the library can be useful for making the icons more visually appealing and fitting to the design of the application. For example, a user can change the color of an icon to match the color scheme of their application, or increase the size of an icon to make it more visible on smaller screens. It may also be useful for creating a consistent look and feel across different parts of the application. Overall, customizing the icons in the library can improve the overall user experience of the application.

In the example below, the icon colour is customized with custom color.

import * as React from 'react';
import * as ReactDom from 'react-dom';
function App() {
    return (<div>
                <div className="icon-bar">
                    <span className="e-icons e-cut"></span>
                    <span className="e-icons e-copy"></span>
                    <span className="e-icons e-paste"></span>
                </div>
            </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
    import * as ReactDom from 'react-dom';

    function App() {
        return (
            <div>
                <div className="icon-bar">
                    <span className="e-icons e-cut"></span>
                    <span className="e-icons e-copy"></span>
                    <span className="e-icons e-paste"></span>
                </div>
            </div>
        );
    }
    export default App;
    ReactDom.render(<App />,document.getElementById('sample'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Button</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-react-grids/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
     <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
        <div id='sample'>
            <div id='loader'>Loading....</div>
        </div>
</body>

</html>

Available icons

The complete package of Essential JS 2 icons is listed below. The corresponding icon content can be referred in the content section.

Material

Fabric

Bootstrap

Bootstrap 4

Bootstrap 5

High Contrast

Tailwind CSS

Fluent

See also